
precision highp float;
varying highp vec2 textureCoordinate;
uniform sampler2D inputImageTexture;
uniform float blurSize; // 0-1
const int passes = 6;



vec4 getFromColor(vec2 uv){
    return texture2D(inputImageTexture,uv);
}

vec4 transition(vec2 uv) {
    vec4 c1 = vec4(0.0);

    float disp = 0.2*(0.5-distance(0.5, blurSize));
    for (int xi=0; xi<passes; xi++)
    {
        float x = float(xi) / float(passes) - 0.5;
        for (int yi=0; yi<passes; yi++)
        {
            float y = float(yi) / float(passes) - 0.5;
            vec2 v = vec2(x,y);
            float d = disp;
            c1 += getFromColor( uv + d*v);
        }
    }
    c1 /= float(passes*passes);
    return c1;
}

void main() {
    gl_FragColor=transition(textureCoordinate);
}