#extension GL_OES_EGL_image_external : require
precision mediump float;
varying highp vec2 textureCoordinate;
uniform sampler2D inputImageTexture;
uniform sampler2D inputImageTexture2; // lookup texture
uniform highp float threshold;
uniform vec4 color;
uniform float opacity;


void main(){
    vec4 overlay = texture2D(inputImageTexture, textureCoordinate);
    if (overlay.a > 0.5) {
        gl_FragColor = overlay;
    }else{
        vec4 aux = texture2D(inputImageTexture2, textureCoordinate);
        vec4 base = color * (clamp(threshold - aux.r, 0.0, 0.04) / 0.04);
        base=base*aux.a;
        gl_FragColor= (base + overlay - base * overlay.a)*opacity;
    }
}