precision highp float;
varying highp vec2 textureCoordinate;
uniform sampler2D inputImageTexture;
uniform sampler2D inputImageTexture2;
uniform float deltaX;
uniform float deltaY;
uniform float opacity;

void main() {
    vec4 overlay = texture2D(inputImageTexture, textureCoordinate);

    vec2 uv = vec2( textureCoordinate.x+deltaX,textureCoordinate.y+deltaY);
    vec4 base = texture2D(inputImageTexture2, uv) * opacity;
    if(uv.x<0.0 || uv.y < 0.0 || uv.x > 1.0 || uv.y > 1.0){
        base = vec4(0.0);
    }
    gl_FragColor = mix(base,overlay,overlay.a);


}